From: Mathias Gibbens <gibmat@debian.org>
Description: Fix module import path for mgo to reflect Debian's packaging
Forwarded: not-needed
diff --git a/cmd/migrate-db/internal/legacy.go b/cmd/migrate-db/internal/legacy.go
index 16378cf..3db18e5 100644
--- a/cmd/migrate-db/internal/legacy.go
+++ b/cmd/migrate-db/internal/legacy.go
@@ -8,7 +8,7 @@ import (
 	"strings"
 
 	"github.com/go-macaroon-bakery/macaroon-bakery/v3/bakery"
-	mgo "github.com/juju/mgo/v2"
+	mgo "gopkg.in/mgo.v2"
 	errgo "gopkg.in/errgo.v1"
 
 	"github.com/canonical/candid/cmd/migrate-db/internal/mongodoc"
diff --git a/cmd/migrate-db/internal/legacy_test.go b/cmd/migrate-db/internal/legacy_test.go
index 056ea31..09afbb3 100644
--- a/cmd/migrate-db/internal/legacy_test.go
+++ b/cmd/migrate-db/internal/legacy_test.go
@@ -12,7 +12,7 @@ import (
 
 	qt "github.com/frankban/quicktest"
 	"github.com/go-macaroon-bakery/macaroon-bakery/v3/bakery"
-	mgo "github.com/juju/mgo/v2"
+	mgo "gopkg.in/mgo.v2"
 	"github.com/juju/mgotest"
 	errgo "gopkg.in/errgo.v1"
 
diff --git a/cmd/migrate-db/main.go b/cmd/migrate-db/main.go
index efae333..a012a72 100644
--- a/cmd/migrate-db/main.go
+++ b/cmd/migrate-db/main.go
@@ -13,7 +13,7 @@ import (
 
 	_ "github.com/lib/pq"
 	errgo "gopkg.in/errgo.v1"
-	mgo "github.com/juju/mgo/v2"
+	mgo "gopkg.in/mgo.v2"
 
 	"github.com/canonical/candid/cmd/migrate-db/internal"
 	"github.com/canonical/candid/store"
diff --git a/store/mgostore/backend.go b/store/mgostore/backend.go
index 95d380c..66c68a8 100644
--- a/store/mgostore/backend.go
+++ b/store/mgostore/backend.go
@@ -10,7 +10,7 @@ import (
 	"github.com/go-macaroon-bakery/macaroon-bakery/v3/bakery"
 	"github.com/go-macaroon-bakery/macaroon-bakery/v3/bakery/mgorootkeystore"
 	"github.com/juju/aclstore/v2"
-	mgo "github.com/juju/mgo/v2"
+	mgo "gopkg.in/mgo.v2"
 	"github.com/juju/simplekv/mgosimplekv"
 	"github.com/juju/utils/v2/debugstatus"
 	errgo "gopkg.in/errgo.v1"
diff --git a/store/mgostore/bakery.go b/store/mgostore/bakery.go
index 43252eb..805cc5f 100644
--- a/store/mgostore/bakery.go
+++ b/store/mgostore/bakery.go
@@ -7,7 +7,7 @@ import (
 	"context"
 
 	"github.com/go-macaroon-bakery/macaroon-bakery/v3/bakery/mgorootkeystore"
-	mgo "github.com/juju/mgo/v2"
+	mgo "gopkg.in/mgo.v2"
 	errgo "gopkg.in/errgo.v1"
 )
 
diff --git a/store/mgostore/config.go b/store/mgostore/config.go
index 651f9ba..3cd13cd 100644
--- a/store/mgostore/config.go
+++ b/store/mgostore/config.go
@@ -2,7 +2,7 @@ package mgostore
 
 import (
 	errgo "gopkg.in/errgo.v1"
-	mgo "github.com/juju/mgo/v2"
+	mgo "gopkg.in/mgo.v2"
 
 	"github.com/canonical/candid/store"
 )
diff --git a/store/mgostore/credential.go b/store/mgostore/credential.go
index d75a2c8..f8b36d8 100644
--- a/store/mgostore/credential.go
+++ b/store/mgostore/credential.go
@@ -8,8 +8,8 @@ import (
 
 	"github.com/canonical/candid/store"
 	"gopkg.in/errgo.v1"
-	"github.com/juju/mgo/v2"
-	"github.com/juju/mgo/v2/bson"
+	"gopkg.in/mgo.v2"
+	"gopkg.in/mgo.v2/bson"
 )
 
 type credentialDoc struct {
diff --git a/store/mgostore/doc.go b/store/mgostore/doc.go
index 09779f6..de6c9fb 100644
--- a/store/mgostore/doc.go
+++ b/store/mgostore/doc.go
@@ -8,7 +8,7 @@ import (
 
 	"github.com/go-macaroon-bakery/macaroon-bakery/v3/bakery"
 	"github.com/juju/loggo"
-	"github.com/juju/mgo/v2/bson"
+	"gopkg.in/mgo.v2/bson"
 
 	"github.com/canonical/candid/store"
 )
diff --git a/store/mgostore/meeting.go b/store/mgostore/meeting.go
index c170146..43b4a1f 100644
--- a/store/mgostore/meeting.go
+++ b/store/mgostore/meeting.go
@@ -8,8 +8,8 @@ import (
 	"strconv"
 	"time"
 
-	"github.com/juju/mgo/v2"
-	"github.com/juju/mgo/v2/bson"
+	"gopkg.in/mgo.v2"
+	"gopkg.in/mgo.v2/bson"
 	"github.com/juju/utils/v2/debugstatus"
 	"gopkg.in/errgo.v1"
 )
diff --git a/store/mgostore/store.go b/store/mgostore/store.go
index afcab5f..b2e8c8b 100644
--- a/store/mgostore/store.go
+++ b/store/mgostore/store.go
@@ -8,8 +8,8 @@ import (
 	"fmt"
 
 	"github.com/go-macaroon-bakery/macaroon-bakery/v3/bakery"
-	mgo "github.com/juju/mgo/v2"
-	"github.com/juju/mgo/v2/bson"
+	mgo "gopkg.in/mgo.v2"
+	"gopkg.in/mgo.v2/bson"
 	errgo "gopkg.in/errgo.v1"
 
 	"github.com/canonical/candid/store"
